import { OptionsMaybeURL, NoUrlOptions, Flatten, CachePolicies, Interceptors, OverwriteGlobalOptions, RetryOn, RetryDelay } from './types';
declare type UseFetchArgsReturn = {
    customOptions: {
        cacheLife: number;
        cachePolicy: CachePolicies;
        interceptors: Interceptors;
        onAbort: () => void;
        onNewData: (currData: any, newData: any) => any;
        onTimeout: () => void;
        path: string;
        perPage: number;
        persist: boolean;
        retries: number;
        retryDelay: RetryDelay;
        retryOn: RetryOn | undefined;
        suspense: boolean;
        timeout: number;
        url: string;
    };
    requestInit: RequestInit;
    defaults: {
        loading: boolean;
        data?: any;
    };
    dependencies?: any[];
};
export declare const useFetchArgsDefaults: UseFetchArgsReturn;
export declare const defaults: Flatten<UseFetchArgsReturn>;
export default function useFetchArgs(urlOrOptionsOrOverwriteGlobal?: string | OptionsMaybeURL | OverwriteGlobalOptions, optionsNoURLsOrOverwriteGlobalOrDeps?: NoUrlOptions | OverwriteGlobalOptions | any[], deps?: any[]): UseFetchArgsReturn;
export {};
